class_name Claw extends Sprite2D

func smash():
	await get_tree().create_timer(0.8).timeout
	var t = create_tween()
	
	t.tween_property(self, "position:y", 0, 0.1);
	await t.tween_property(self, "position:y", -80, 1).finished;


func pickup():
	await get_tree().create_timer(0.2).timeout
	var t = create_tween()
	
	t.tween_property(self, "position:y", 0, 0.4);
	await t.tween_property(self, "position:y", -80, 1).finished;
